<?xml version="1.0" encoding="ISO-8859-1"?>
<xsl:stylesheet version="1.0">
    <!-- xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
    xmlns:java="http://xml.apache.org/xslt/java"
    exclude-result-prefixes="java" -->
    <xsl:output method="fo"/>
    <xsl:decimal-format name="euro"
      decimal-separator="," grouping-separator="."/>
    <xsl:template match="/">
        <fo:root xmlns:fo="http://www.w3.org/1999/XSL/Format">
           <fo:layout-master-set>
                <fo:simple-page-master master-name="DinA4" 
                                       page-height="29.7cm" page-width="21cm" 
                                       margin-top="4cm" margin-bottom="1cm" 
                                       margin-left="2.8cm" margin-right="2.8cm">
                 <fo:region-body margin-top="0cm" margin-bottom="1.25cm"/>
                 <fo:region-before extent="1cm"/>
                 <fo:region-after extent="1cm"/>
              </fo:simple-page-master>
           </fo:layout-master-set>
           <fo:page-sequence master-reference="DinA4">

              <!-- statischer Inhalt auf jeder Seite / Logo  -->
              <fo:static-content flow-name="xsl-region-before">
                 <fo:block-container left="0.0cm" top="-3cm" height="5cm" width="15.4cm" position="absolute">
                    <fo:block font-family="Times" font-size="18pt">
                       Manuel Blechschmidt
                       <!-- fo:external-graphic src="url(http://www.heise.de/ix/artikel/2002/12/052/ix.svg)" /-->
                    </fo:block>
                    <fo:block text-align="start" line-height="1mm"  space-after.optimum="0.2cm">
                       <fo:leader leader-length="100%" leader-pattern="rule"
                         rule-style="dotted" line-height="0.5mm"
                         rule-thickness="0.5mm" color="#000000"/>
                    </fo:block>
                    <fo:block text-align="end" font-size="6pt">
                      Crailsheimerstr. 10
                      <fo:block space-after.optimum="0cm" />
                      12247 Berlin
                      <fo:block space-after.optimum="0cm" />
                      Telfon: 030/77208574 Mobil: 0179/4644688
                      <fo:block space-after.optimum="0cm" />
                      Email: mb@notJustHosting.com
                    </fo:block>
                 </fo:block-container>
              </fo:static-content>

              <!-- statischer Inhalt am Ende jeder Seite / Fuzeile -->
              <fo:static-content flow-name="xsl-region-after">
                  <fo:block font-size="8pt" font-family="sans-serif" 
                            text-align="end" space-after.optimum="8pt">
                    Seite <fo:page-number/> von <fo:page-number-citation ref-id="endofdoc"/>
                  </fo:block>
              </fo:static-content>

              <!-- Zustzlich Angaben auf der ersten Seite -->
              <fo:flow flow-name="xsl-region-body">

                 <!-- Ort und Datum  am rechten Rand -->
                 <fo:block-container top="4.25cm" left="12.75cm"
                                        width="4cm" height="2cm" position="absolute"
                                        >
                     <fo:block color="#333333" font-size="8pt" font-family="sans-serif">
                       Berlin, <xsl:value-of select="java:format(java:java.text.SimpleDateFormat.new
                         ('d MMMM yyyy'), java:java.util.Date.new())"/>
                     </fo:block>
                 </fo:block-container>

                 <!-- Das Adressfeld fr das Brieffenster -->
                 <fo:block-container top="0.9cm" left="0cm" 
                                     width="12cm" height="0.5cm" position="absolute">
                    <fo:block font-size="6pt" font-family="sans-serif"
                             color="#333333" text-align="start">
                       Manuel Blechschmidt   
                       <fo:inline> Crailsheimerstr. 10 </fo:inline>   
                       <fo:inline> 12247 Berlin </fo:inline>
                    </fo:block>
                    <fo:block-container top="0.5cm" left="0cm" 
                                        width="12cm" height="5cm" position="absolute">
                       <fo:block font-size="10pt" font-family="Times"
                                 text-align="start" space-after.optimum="8pt">
                          <xsl:value-of select="root/rechnung/row/firma"/>
                          <fo:block space-after.optimum="0pt"/><!-- Zeilenumbruch -->
                          <xsl:value-of select="root/rechnung/row/vorname"/>&nbsp;<xsl:value-of select="root/rechnung/row/name"/>
                          <fo:block space-after.optimum="0pt"/><!-- Zeilenumbruch -->
                          <xsl:value-of select="root/rechnung/row/strasse"/>&nbsp;<xsl:value-of select="root/rechnung/row/hausnummer"/>
                          <fo:block space-after.optimum="0pt"/><!-- Zeilenumbruch -->
                          <xsl:value-of select="root/rechnung/row/postleitzahl"/>&nbsp;<xsl:value-of select="root/rechnung/row/ort"/>
                       </fo:block>
                    </fo:block-container>
                 </fo:block-container>

                 <!-- Abstand auf der 1. Seite, damit Brief in einen schmalen Umschlag passt -->
                 <fo:block space-after.optimum="5.25cm"/>

                 <fo:block font-family="Times" font-size="12pt" language="de" hyphenate="true" space-after.optimum="0.50cm">
                 Rechnung-Nummer: <xsl:value-of select="rechnung/@nummer" />
                 </fo:block>
                 <fo:block font-family="Times" font-size="12pt" language="de" hyphenate="true">
                 Sehr geehrte/r <xsl:value-of select="/root/rechnung/row/anrede" />
                 &nbsp;<xsl:value-of select="/root/rechnung/row/name" />,
                 <fo:block space-after.optimum="0.0cm"/>
                 fr die erbrachten Leistungen rechne ich wie folgt ab:
                 </fo:block>

                 <!-- Eine Tabelle -->
                 <fo:table space-before.optimum="0.5cm" space-after.optimum="0.5cm" table-layout="fixed" width="15.4cm">

                   <!-- Definition der Spaltenbreiten -->
                   <fo:table-column column-width="2.2cm"/>
                   <fo:table-column column-width="11cm"/>
                   <fo:table-column column-width="2.2cm"/>

                   <!-- Kopfzeile der Tabelle -->
                   <fo:table-header font-size="12pt" font-weight="bold" 
                                    background-color="rgb(225,225,225)">
                     <fo:table-row height="14pt">
                       <fo:table-cell padding="1pt">
                         <fo:block>Position</fo:block>
                       </fo:table-cell>
                       <fo:table-cell padding="1pt">
                         <fo:block>Beschreibung</fo:block>
                       </fo:table-cell>
                       <fo:table-cell padding="1pt">
                         <fo:block text-align="end">Euro</fo:block>
                       </fo:table-cell>
                     </fo:table-row>
                   </fo:table-header>

                   <!-- Der eigentliche Tabelleninhalt -->
                   <fo:table-body font-size="10pt" line-height="12pt">
                     <xsl:for-each select="root/rechnung/row/row">
                         <fo:table-row background-color="rgb(225,225,225)" height="14pt">
                          <fo:table-cell padding="1pt" border-top-color="#ffffff" 
                                          border-top-style="solid" border-top-width="1pt" font-size="10pt">
                             <fo:block text-align="start"><xsl:number/></fo:block>                  
                           </fo:table-cell>
                           <fo:table-cell padding="1pt" border-top-color="#ffffff" 
                                          border-top-style="solid" border-top-width="1pt" font-size="10pt">
                             <fo:block text-align="start"><xsl:value-of select="beschreibung"/></fo:block>                  
                           </fo:table-cell>
                           <fo:table-cell padding="1pt" border-top-color="#ffffff" 
                                          border-top-style="solid" border-top-width="1pt" font-size="10pt">
                             <fo:block text-align="end"><xsl:value-of select="format-number(preis, '#.###,00', 'euro')" /> &euro;</fo:block>                 
                           </fo:table-cell>
                         </fo:table-row>
                     </xsl:for-each>
                     <fo:table-row background-color="rgb(225,225,225)" height="14pt">
                       <fo:table-cell padding="1pt" border-top-color="#ffffff" 
                                      border-top-style="solid" border-top-width="1pt"
                                      number-columns-spanned="2">
                         <fo:block font-weight="bold" text-align="end">Gesamt</fo:block>
                       </fo:table-cell>
                       <fo:table-cell padding="1pt" border-top-color="#ffffff" 
                                      border-top-style="solid" border-top-width="1pt">
                         <fo:block font-weight="bold" text-align="end">
                         <xsl:value-of select="format-number(sum(/root/rechnung/row/row/preis), '#.###,00', 'euro')" /> &euro;
                             </fo:block>
                       </fo:table-cell>
                     </fo:table-row>
                   </fo:table-body>

                 </fo:table>
                 <!-- Text ... -->
                 <fo:block font-family="Times" font-size="12pt" language="de">
                     <xsl:choose>
                       <xsl:when test="rechnung/@bezahlt">
                           <fo:block text-align="left" space-after.optimum="12pt">
                             Betrag dankend erhalten.
                           </fo:block>
                       </xsl:when>
                       <xsl:otherwise>
                           <fo:block text-align="left" space-after.optimum="12pt">
                              Ich bitte Sie den oben genannten Betrag innerhalb der
                              n&auml;chsten 14 Tage auf folgendes Konto zu &uuml;berweisen:
                              <fo:block space-after.optimum="12pt"/><!-- Zeilenumbruch -->
                              Bank: Deutsche Apotheker- und rztebank
                              <fo:block space-after.optimum="0pt"/><!-- Zeilenumbruch -->
                              Kontoinhaber: Manuel Blechschmidt
                              <fo:block space-after.optimum="0pt"/><!-- Zeilenumbruch -->
                              Kontonummer: 0102869071
                              <fo:block space-after.optimum="0pt"/><!-- Zeilenumbruch -->
                              Bankleitzahl: 10090603
                            </fo:block>
                       </xsl:otherwise>
                     </xsl:choose>
                 </fo:block>
                 
                 <!-- Text ... --> 
                 <fo:block font-family="Times" font-size="12pt" language="de">

                    <fo:block text-align="left" space-after.optimum="24pt">
                      Bei R&uuml;ckfragen stehen ich Ihnen unter der Rufnummer 
                      030/772 08 574 gerne zur Verf&uuml;gung.
                    </fo:block>

                 </fo:block>
                 
                 <!-- Text ... --> 
                 <fo:block font-family="Times" font-size="12pt" language="de">

                    <fo:block text-align="left" space-after.optimum="12pt">
                      Mit freundlichen Gruessen
                    </fo:block>

                 </fo:block>

                 <!-- Leerer Referenz-Block mit dem die letzte Seitenzahl ermittelt wird -->
                 <fo:block id="endofdoc"/>

              </fo:flow>
           </fo:page-sequence>
        </fo:root>
    </xsl:template>
</xsl:stylesheet>